org.keycloak.representations.account

## Class UserProfileAttributeMetadata

- java.lang.Object
- - org.keycloak.representations.account.UserProfileAttributeMetadata

-     public class UserProfileAttributeMetadata
      extends Object

  Author:
    Vlastimil Elias

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserProfileAttributeMetadata()`
    `UserProfileAttributeMetadata(String name, String displayName, boolean required, boolean readOnly, Map<String,Object> annotations, Map<String,Map<String,Object>> validators)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getAnnotations()` Get info about attribute annotations loaded from UserProfile configuration.
    `String` | `getDisplayName()`
    `String` | `getName()`
    `Map<String,Map<String,Object>>` | `getValidators()` Get info about validators applied to attribute.
    `boolean` | `isReadOnly()`
    `boolean` | `isRequired()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserProfileAttributeMetadata

          public UserProfileAttributeMetadata()

    - #### UserProfileAttributeMetadata

          public UserProfileAttributeMetadata(String name,
                                              String displayName,
                                              boolean required,
                                              boolean readOnly,
                                              Map<String,Object> annotations,
                                              Map<String,Map<String,Object>> validators)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

      Returns:
        display name, either direct string to display, or construct for i18n like `${i18nkey}`

    - #### isRequired

          public boolean isRequired()

    - #### isReadOnly

          public boolean isReadOnly()

    - #### getAnnotations

          public Map<String,Object> getAnnotations()

      Get info about attribute annotations loaded from UserProfile configuration.

    - #### getValidators

          public Map<String,Map<String,Object>> getValidators()

      Get info about validators applied to attribute.
      Returns:
        map where key is validatorId and value is map with configuration for given validator (loaded from UserProfile configuration)

Copyright © 2021 JBoss by Red Hat. All rights reserved.